- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
GSmtp::ClientProtocol::Config Struct Reference

A structure containing GSmtp::ClientProtocol configuration parameters. More...

`#include <gclientprotocol.h>`

## Public Member Functions
| Config (const std::string &, unsigned int, unsigned int, unsigned int, bool, bool, bool)

## Public Attributes
std::string | thishost_name
unsigned int | response_timeout
unsigned int | ready_timeout
unsigned int | preprocessor_timeout
bool | must_authenticate
bool | must_accept_all_recipients
bool | eight_bit_strict

## Detailed Description

A structure containing GSmtp::ClientProtocol configuration parameters.

Definition at line 193 of file gclientprotocol.h.

## Constructor & Destructor Documentation

GSmtp::ClientProtocol::Config::Config | ( | const std::string & | name,
|  | unsigned int | a,
|  | unsigned int | b,
|  | unsigned int | c,
|  | bool | b1,
|  | bool | b2,
|  | bool | b3
| ) |  |

Definition at line 790 of file gclientprotocol.cpp.

## Member Data Documentation

bool GSmtp::ClientProtocol::Config::eight_bit_strict

Definition at line 201 of file gclientprotocol.h.

bool GSmtp::ClientProtocol::Config::must_accept_all_recipients

Definition at line 200 of file gclientprotocol.h.

bool GSmtp::ClientProtocol::Config::must_authenticate

Definition at line 199 of file gclientprotocol.h.

unsigned int GSmtp::ClientProtocol::Config::preprocessor_timeout

Definition at line 198 of file gclientprotocol.h.

unsigned int GSmtp::ClientProtocol::Config::ready_timeout

Definition at line 197 of file gclientprotocol.h.

unsigned int GSmtp::ClientProtocol::Config::response_timeout

Definition at line 196 of file gclientprotocol.h.

std::string GSmtp::ClientProtocol::Config::thishost_name

Definition at line 195 of file gclientprotocol.h.

The documentation for this struct was generated from the following files:

- gclientprotocol.h
- gclientprotocol.cpp